Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaGroupBase

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaParticle
                  org.apache.ws.commons.schema.XmlSchemaGroupBase

Direct Known Subclasses:
  XmlSchemaAll, XmlSchemaChoice, XmlSchemaSequence

    public abstract class XmlSchemaGroupBase

extends XmlSchemaParticle

An abstract class for XmlSchemaChoice, XmlSchemaAll, or XmlSchemaSequence.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaGroupBase()` Creates new XmlSchemaGroupBase

Method Summary
`abstract XmlSchemaObjectCollection` | `getItems()`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaParticle
`getMaxOccurs, getMinOccurs, setMaxOccurs, setMinOccurs`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaGroupBase

    public XmlSchemaGroupBase()

  Creates new XmlSchemaGroupBase

Method Detail

### getItems

    public abstract XmlSchemaObjectCollection getItems()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.